- NAME
- SYNOPSIS
- DESCRIPTION
- NOTES
- RETURN VALUES
- SEE ALSO
- HISTORY
- COPYRIGHT

# NAME

SSL_CONF_CTX_set_ssl_ctx, SSL_CONF_CTX_set_ssl - set context to configure

# SYNOPSIS

     #include <openssl/ssl.h>

     void SSL_CONF_CTX_set_ssl_ctx(SSL_CONF_CTX *cctx, SSL_CTX *ctx);
     void SSL_CONF_CTX_set_ssl(SSL_CONF_CTX *cctx, SSL *ssl);

# DESCRIPTION

`SSL_CONF_CTX_set_ssl_ctx()` sets the context associated with cctx to the SSL_CTX structure ctx. Any previous SSL or SSL_CTX associated with cctx is cleared. Subsequent calls to `SSL_CONF_cmd()` will be sent to ctx.

`SSL_CONF_CTX_set_ssl()` sets the context associated with cctx to the SSL structure ssl. Any previous SSL or SSL_CTX associated with cctx is cleared. Subsequent calls to `SSL_CONF_cmd()` will be sent to ssl.

# NOTES

The context need not be set or it can be set to NULL in which case only syntax checking of commands is performed, where possible.

# RETURN VALUES

`SSL_CONF_CTX_set_ssl_ctx()` and `SSL_CTX_set_ssl()` do not return a value.

# SEE ALSO

ssl(7), SSL_CONF_CTX_new(3), SSL_CONF_CTX_set_flags(3), SSL_CONF_CTX_set1_prefix(3), SSL_CONF_cmd(3), SSL_CONF_cmd_argv(3)

# HISTORY

These functions were added in OpenSSL 1.0.2.

# COPYRIGHT

Copyright 2012-2016 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at https://www.openssl.org/source/license.html.